Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QLocale.Language

    java.lang.Object
      java.lang.Enum<QLocale.Language>
          com.trolltech.qt.core.QLocale.Language

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLocale.Language>

Enclosing class:
  QLocale

    public static enum QLocale.Language

extends java.lang.Enum<QLocale.Language>
implements QtEnumerator

This enumerated type is used to specify a language.

See Also:
  `language`

Enum Constant Summary
`Abkhazian` Internal.
`Afan` Internal.
`Afar` Internal.
`Afrikaans` Internal.
`Akan` Internal.
`Albanian` Internal.
`Amharic` Internal.
`Arabic` Internal.
`Armenian` Internal.
`Assamese` Internal.
`Atsam` Internal.
`Aymara` Internal.
`Azerbaijani` Internal.
`Bashkir` Internal.
`Basque` Internal.
`Bengali` Internal.
`Bhutani` Internal.
`Bihari` Internal.
`Bislama` Internal.
`Blin` Internal.
`Bosnian` Internal.
`Breton` Internal.
`Bulgarian` Internal.
`Burmese` Internal.
`Byelorussian` Internal.
`C` Internal.
`Cambodian` Internal.
`Catalan` Internal.
`Chewa` Internal.
`Chinese` Internal.
`Cornish` Internal.
`Corsican` Internal.
`Croatian` Internal.
`Czech` Internal.
`Danish` Internal.
`Divehi` Internal.
`Dutch` Internal.
`English` Internal.
`Esperanto` Internal.
`Estonian` Internal.
`Ewe` Internal.
`Faroese` Internal.
`FijiLanguage` Internal.
`Finnish` Internal.
`French` Internal.
`Frisian` Internal.
`Friulian` Internal.
`Ga` Internal.
`Gaelic` Internal.
`Galician` Internal.
`Geez` Internal.
`Georgian` Internal.
`German` Internal.
`Greek` Internal.
`Greenlandic` Internal.
`Guarani` Internal.
`Gujarati` Internal.
`Hausa` Internal.
`Hawaiian` Internal.
`Hebrew` Internal.
`Hindi` Internal.
`Hungarian` Internal.
`Icelandic` Internal.
`Igbo` Internal.
`Indonesian` Internal.
`Interlingua` Internal.
`Interlingue` Internal.
`Inuktitut` Internal.
`Inupiak` Internal.
`Irish` Internal.
`Italian` Internal.
`Japanese` Internal.
`Javanese` Internal.
`Jju` Internal.
`Kamba` Internal.
`Kannada` Internal.
`Kashmiri` Internal.
`Kazakh` Internal.
`Kinyarwanda` Internal.
`Kirghiz` Internal.
`Konkani` Internal.
`Korean` Internal.
`Koro` Internal.
`Kurdish` Internal.
`Kurundi` Internal.
`Laothian` Internal.
`Latin` Internal.
`Latvian` Internal.
`Lingala` Internal.
`Lithuanian` Internal.
`Macedonian` Internal.
`Malagasy` Internal.
`Malay` Internal.
`Malayalam` Internal.
`Maltese` Internal.
`Manx` Internal.
`Maori` Internal.
`Marathi` Internal.
`Moldavian` Internal.
`Mongolian` Internal.
`NauruLanguage` Internal.
`Nepali` Internal.
`Norwegian` Internal.
`NorwegianNynorsk` Internal.
`Occitan` Internal.
`Oriya` Internal.
`Pashto` Internal.
`Persian` Internal.
`Polish` Internal.
`Portuguese` Internal.
`Punjabi` Internal.
`Quechua` Internal.
`RhaetoRomance` Internal.
`Romanian` Internal.
`Russian` Internal.
`Samoan` Internal.
`Sangho` Internal.
`Sanskrit` Internal.
`Serbian` Internal.
`SerboCroatian` Internal.
`Sesotho` Internal.
`Setswana` Internal.
`Shona` Internal.
`Sidamo` Internal.
`Sindhi` Internal.
`Singhalese` Internal.
`Siswati` Internal.
`Slovak` Internal.
`Slovenian` Internal.
`Somali` Internal.
`Spanish` Internal.
`Sundanese` Internal.
`Swahili` Internal.
`Swedish` Internal.
`Syriac` Internal.
`Tagalog` Internal.
`Tajik` Internal.
`Tamil` Internal.
`Tatar` Internal.
`Telugu` Internal.
`Thai` Internal.
`Tibetan` Internal.
`Tigre` Internal.
`Tigrinya` Internal.
`TongaLanguage` Internal.
`Tsonga` Internal.
`Turkish` Internal.
`Turkmen` Internal.
`Twi` Internal.
`Tyap` Internal.
`Uigur` Internal.
`Ukrainian` Internal.
`Urdu` Internal.
`Uzbek` Internal.
`Venda` Internal.
`Vietnamese` Internal.
`Volapuk` Internal.
`Walamo` Internal.
`Welsh` Internal.
`Wolof` Internal.
`Xhosa` Internal.
`Yiddish` Internal.
`Yoruba` Internal.
`Zhuang` Internal.
`Zulu` Internal.

Method Summary
`static QLocale.Language` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLocale.Language` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLocale.Language[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### C

    public static final QLocale.Language C

  Internal.

### Abkhazian

    public static final QLocale.Language Abkhazian

  Internal.

### Afan

    public static final QLocale.Language Afan

  Internal.

### Afar

    public static final QLocale.Language Afar

  Internal.

### Afrikaans

    public static final QLocale.Language Afrikaans

  Internal.

### Albanian

    public static final QLocale.Language Albanian

  Internal.

### Amharic

    public static final QLocale.Language Amharic

  Internal.

### Arabic

    public static final QLocale.Language Arabic

  Internal.

### Armenian

    public static final QLocale.Language Armenian

  Internal.

### Assamese

    public static final QLocale.Language Assamese

  Internal.

### Aymara

    public static final QLocale.Language Aymara

  Internal.

### Azerbaijani

    public static final QLocale.Language Azerbaijani

  Internal.

### Bashkir

    public static final QLocale.Language Bashkir

  Internal.

### Basque

    public static final QLocale.Language Basque

  Internal.

### Bengali

    public static final QLocale.Language Bengali

  Internal.

### Bhutani

    public static final QLocale.Language Bhutani

  Internal.

### Bihari

    public static final QLocale.Language Bihari

  Internal.

### Bislama

    public static final QLocale.Language Bislama

  Internal.

### Breton

    public static final QLocale.Language Breton

  Internal.

### Bulgarian

    public static final QLocale.Language Bulgarian

  Internal.

### Burmese

    public static final QLocale.Language Burmese

  Internal.

### Byelorussian

    public static final QLocale.Language Byelorussian

  Internal.

### Cambodian

    public static final QLocale.Language Cambodian

  Internal.

### Catalan

    public static final QLocale.Language Catalan

  Internal.

### Chinese

    public static final QLocale.Language Chinese

  Internal.

### Corsican

    public static final QLocale.Language Corsican

  Internal.

### Croatian

    public static final QLocale.Language Croatian

  Internal.

### Czech

    public static final QLocale.Language Czech

  Internal.

### Danish

    public static final QLocale.Language Danish

  Internal.

### Dutch

    public static final QLocale.Language Dutch

  Internal.

### English

    public static final QLocale.Language English

  Internal.

### Esperanto

    public static final QLocale.Language Esperanto

  Internal.

### Estonian

    public static final QLocale.Language Estonian

  Internal.

### Faroese

    public static final QLocale.Language Faroese

  Internal.

### FijiLanguage

    public static final QLocale.Language FijiLanguage

  Internal.

### Finnish

    public static final QLocale.Language Finnish

  Internal.

### French

    public static final QLocale.Language French

  Internal.

### Frisian

    public static final QLocale.Language Frisian

  Internal.

### Gaelic

    public static final QLocale.Language Gaelic

  Internal.

### Galician

    public static final QLocale.Language Galician

  Internal.

### Georgian

    public static final QLocale.Language Georgian

  Internal.

### German

    public static final QLocale.Language German

  Internal.

### Greek

    public static final QLocale.Language Greek

  Internal.

### Greenlandic

    public static final QLocale.Language Greenlandic

  Internal.

### Guarani

    public static final QLocale.Language Guarani

  Internal.

### Gujarati

    public static final QLocale.Language Gujarati

  Internal.

### Hausa

    public static final QLocale.Language Hausa

  Internal.

### Hebrew

    public static final QLocale.Language Hebrew

  Internal.

### Hindi

    public static final QLocale.Language Hindi

  Internal.

### Hungarian

    public static final QLocale.Language Hungarian

  Internal.

### Icelandic

    public static final QLocale.Language Icelandic

  Internal.

### Indonesian

    public static final QLocale.Language Indonesian

  Internal.

### Interlingua

    public static final QLocale.Language Interlingua

  Internal.

### Interlingue

    public static final QLocale.Language Interlingue

  Internal.

### Inuktitut

    public static final QLocale.Language Inuktitut

  Internal.

### Inupiak

    public static final QLocale.Language Inupiak

  Internal.

### Irish

    public static final QLocale.Language Irish

  Internal.

### Italian

    public static final QLocale.Language Italian

  Internal.

### Japanese

    public static final QLocale.Language Japanese

  Internal.

### Javanese

    public static final QLocale.Language Javanese

  Internal.

### Kannada

    public static final QLocale.Language Kannada

  Internal.

### Kashmiri

    public static final QLocale.Language Kashmiri

  Internal.

### Kazakh

    public static final QLocale.Language Kazakh

  Internal.

### Kinyarwanda

    public static final QLocale.Language Kinyarwanda

  Internal.

### Kirghiz

    public static final QLocale.Language Kirghiz

  Internal.

### Korean

    public static final QLocale.Language Korean

  Internal.

### Kurdish

    public static final QLocale.Language Kurdish

  Internal.

### Kurundi

    public static final QLocale.Language Kurundi

  Internal.

### Laothian

    public static final QLocale.Language Laothian

  Internal.

### Latin

    public static final QLocale.Language Latin

  Internal.

### Latvian

    public static final QLocale.Language Latvian

  Internal.

### Lingala

    public static final QLocale.Language Lingala

  Internal.

### Lithuanian

    public static final QLocale.Language Lithuanian

  Internal.

### Macedonian

    public static final QLocale.Language Macedonian

  Internal.

### Malagasy

    public static final QLocale.Language Malagasy

  Internal.

### Malay

    public static final QLocale.Language Malay

  Internal.

### Malayalam

    public static final QLocale.Language Malayalam

  Internal.

### Maltese

    public static final QLocale.Language Maltese

  Internal.

### Maori

    public static final QLocale.Language Maori

  Internal.

### Marathi

    public static final QLocale.Language Marathi

  Internal.

### Moldavian

    public static final QLocale.Language Moldavian

  Internal.

### Mongolian

    public static final QLocale.Language Mongolian

  Internal.

### NauruLanguage

    public static final QLocale.Language NauruLanguage

  Internal.

### Nepali

    public static final QLocale.Language Nepali

  Internal.

### Norwegian

    public static final QLocale.Language Norwegian

  Internal.

### Occitan

    public static final QLocale.Language Occitan

  Internal.

### Oriya

    public static final QLocale.Language Oriya

  Internal.

### Pashto

    public static final QLocale.Language Pashto

  Internal.

### Persian

    public static final QLocale.Language Persian

  Internal.

### Polish

    public static final QLocale.Language Polish

  Internal.

### Portuguese

    public static final QLocale.Language Portuguese

  Internal.

### Punjabi

    public static final QLocale.Language Punjabi

  Internal.

### Quechua

    public static final QLocale.Language Quechua

  Internal.

### RhaetoRomance

    public static final QLocale.Language RhaetoRomance

  Internal.

### Romanian

    public static final QLocale.Language Romanian

  Internal.

### Russian

    public static final QLocale.Language Russian

  Internal.

### Samoan

    public static final QLocale.Language Samoan

  Internal.

### Sangho

    public static final QLocale.Language Sangho

  Internal.

### Sanskrit

    public static final QLocale.Language Sanskrit

  Internal.

### Serbian

    public static final QLocale.Language Serbian

  Internal.

### SerboCroatian

    public static final QLocale.Language SerboCroatian

  Internal.

### Sesotho

    public static final QLocale.Language Sesotho

  Internal.

### Setswana

    public static final QLocale.Language Setswana

  Internal.

### Shona

    public static final QLocale.Language Shona

  Internal.

### Sindhi

    public static final QLocale.Language Sindhi

  Internal.

### Singhalese

    public static final QLocale.Language Singhalese

  Internal.

### Siswati

    public static final QLocale.Language Siswati

  Internal.

### Slovak

    public static final QLocale.Language Slovak

  Internal.

### Slovenian

    public static final QLocale.Language Slovenian

  Internal.

### Somali

    public static final QLocale.Language Somali

  Internal.

### Spanish

    public static final QLocale.Language Spanish

  Internal.

### Sundanese

    public static final QLocale.Language Sundanese

  Internal.

### Swahili

    public static final QLocale.Language Swahili

  Internal.

### Swedish

    public static final QLocale.Language Swedish

  Internal.

### Tagalog

    public static final QLocale.Language Tagalog

  Internal.

### Tajik

    public static final QLocale.Language Tajik

  Internal.

### Tamil

    public static final QLocale.Language Tamil

  Internal.

### Tatar

    public static final QLocale.Language Tatar

  Internal.

### Telugu

    public static final QLocale.Language Telugu

  Internal.

### Thai

    public static final QLocale.Language Thai

  Internal.

### Tibetan

    public static final QLocale.Language Tibetan

  Internal.

### Tigrinya

    public static final QLocale.Language Tigrinya

  Internal.

### TongaLanguage

    public static final QLocale.Language TongaLanguage

  Internal.

### Tsonga

    public static final QLocale.Language Tsonga

  Internal.

### Turkish

    public static final QLocale.Language Turkish

  Internal.

### Turkmen

    public static final QLocale.Language Turkmen

  Internal.

### Twi

    public static final QLocale.Language Twi

  Internal.

### Uigur

    public static final QLocale.Language Uigur

  Internal.

### Ukrainian

    public static final QLocale.Language Ukrainian

  Internal.

### Urdu

    public static final QLocale.Language Urdu

  Internal.

### Uzbek

    public static final QLocale.Language Uzbek

  Internal.

### Vietnamese

    public static final QLocale.Language Vietnamese

  Internal.

### Volapuk

    public static final QLocale.Language Volapuk

  Internal.

### Welsh

    public static final QLocale.Language Welsh

  Internal.

### Wolof

    public static final QLocale.Language Wolof

  Internal.

### Xhosa

    public static final QLocale.Language Xhosa

  Internal.

### Yiddish

    public static final QLocale.Language Yiddish

  Internal.

### Yoruba

    public static final QLocale.Language Yoruba

  Internal.

### Zhuang

    public static final QLocale.Language Zhuang

  Internal.

### Zulu

    public static final QLocale.Language Zulu

  Internal.

### NorwegianNynorsk

    public static final QLocale.Language NorwegianNynorsk

  Internal.

### Bosnian

    public static final QLocale.Language Bosnian

  Internal.

### Divehi

    public static final QLocale.Language Divehi

  Internal.

### Manx

    public static final QLocale.Language Manx

  Internal.

### Cornish

    public static final QLocale.Language Cornish

  Internal.

### Akan

    public static final QLocale.Language Akan

  Internal.

### Konkani

    public static final QLocale.Language Konkani

  Internal.

### Ga

    public static final QLocale.Language Ga

  Internal.

### Igbo

    public static final QLocale.Language Igbo

  Internal.

### Kamba

    public static final QLocale.Language Kamba

  Internal.

### Syriac

    public static final QLocale.Language Syriac

  Internal.

### Blin

    public static final QLocale.Language Blin

  Internal.

### Geez

    public static final QLocale.Language Geez

  Internal.

### Koro

    public static final QLocale.Language Koro

  Internal.

### Sidamo

    public static final QLocale.Language Sidamo

  Internal.

### Atsam

    public static final QLocale.Language Atsam

  Internal.

### Tigre

    public static final QLocale.Language Tigre

  Internal.

### Jju

    public static final QLocale.Language Jju

  Internal.

### Friulian

    public static final QLocale.Language Friulian

  Internal.

### Venda

    public static final QLocale.Language Venda

  Internal.

### Ewe

    public static final QLocale.Language Ewe

  Internal.

### Walamo

    public static final QLocale.Language Walamo

  Internal.

### Hawaiian

    public static final QLocale.Language Hawaiian

  Internal.

### Tyap

    public static final QLocale.Language Tyap

  Internal.

### Chewa

    public static final QLocale.Language Chewa

  Internal.

Method Detail

### values

    public static final QLocale.Language[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLocale.Language c : QLocale.Language.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLocale.Language valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLocale.Language resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD